package intrinsic.flash.net;

public class FileReference extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */
	public String extension;
	public double size;
	public intrinsic.Date creationDate;
	public String type;
	public String name;
	public String creator;
	public intrinsic.Date modificationDate;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public FileReference() {
}


/** Static Methods */

/** Methods */
public native void cancel();
public native void download(intrinsic.flash.net.URLRequest arg0);
public native void download(intrinsic.flash.net.URLRequest arg0, String arg1);
public native boolean browse();
public native boolean browse(intrinsic.Array arg0);
public native void upload(intrinsic.flash.net.URLRequest arg0);
public native void upload(intrinsic.flash.net.URLRequest arg0, String arg1);
public native void upload(intrinsic.flash.net.URLRequest arg0, String arg1, boolean arg2);
public native void send(intrinsic.flash.net.URLRequest arg0);

}
